- [HTTP request](https://developers.google.com/pay/carrier-wallets-v1/google-carrier-wallets-api/captureResultNotification#body.HTTP_TEMPLATE)
- [Request body](https://developers.google.com/pay/carrier-wallets-v1/google-carrier-wallets-api/captureResultNotification#body.request_body)
  - [JSON representation](https://developers.google.com/pay/carrier-wallets-v1/google-carrier-wallets-api/captureResultNotification#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://developers.google.com/pay/carrier-wallets-v1/google-carrier-wallets-api/captureResultNotification#body.response_body)
- [CaptureResult](https://developers.google.com/pay/carrier-wallets-v1/google-carrier-wallets-api/captureResultNotification#CaptureResult)
  - [JSON representation](https://developers.google.com/pay/carrier-wallets-v1/google-carrier-wallets-api/captureResultNotification#CaptureResult.SCHEMA_REPRESENTATION)
- [Success](https://developers.google.com/pay/carrier-wallets-v1/google-carrier-wallets-api/captureResultNotification#Success)
- [CaptureRequestExpired](https://developers.google.com/pay/carrier-wallets-v1/google-carrier-wallets-api/captureResultNotification#CaptureRequestExpired)
  - [JSON representation](https://developers.google.com/pay/carrier-wallets-v1/google-carrier-wallets-api/captureResultNotification#CaptureRequestExpired.SCHEMA_REPRESENTATION)
- [InvalidPin](https://developers.google.com/pay/carrier-wallets-v1/google-carrier-wallets-api/captureResultNotification#InvalidPin)
  - [JSON representation](https://developers.google.com/pay/carrier-wallets-v1/google-carrier-wallets-api/captureResultNotification#InvalidPin.SCHEMA_REPRESENTATION)
- [OsLockFailed](https://developers.google.com/pay/carrier-wallets-v1/google-carrier-wallets-api/captureResultNotification#OsLockFailed)
  - [JSON representation](https://developers.google.com/pay/carrier-wallets-v1/google-carrier-wallets-api/captureResultNotification#OsLockFailed.SCHEMA_REPRESENTATION)
- [PinEntryAttemptsExhausted](https://developers.google.com/pay/carrier-wallets-v1/google-carrier-wallets-api/captureResultNotification#PinEntryAttemptsExhausted)
  - [JSON representation](https://developers.google.com/pay/carrier-wallets-v1/google-carrier-wallets-api/captureResultNotification#PinEntryAttemptsExhausted.SCHEMA_REPRESENTATION)
- [UserExitedPaymentFlow](https://developers.google.com/pay/carrier-wallets-v1/google-carrier-wallets-api/captureResultNotification#UserExitedPaymentFlow)
  - [JSON representation](https://developers.google.com/pay/carrier-wallets-v1/google-carrier-wallets-api/captureResultNotification#UserExitedPaymentFlow.SCHEMA_REPRESENTATION)
- [MonthlyFrequencyLimitExceeded](https://developers.google.com/pay/carrier-wallets-v1/google-carrier-wallets-api/captureResultNotification#MonthlyFrequencyLimitExceeded)
  - [JSON representation](https://developers.google.com/pay/carrier-wallets-v1/google-carrier-wallets-api/captureResultNotification#MonthlyFrequencyLimitExceeded.SCHEMA_REPRESENTATION)
- [DeclinedByIssuer](https://developers.google.com/pay/carrier-wallets-v1/google-carrier-wallets-api/captureResultNotification#DeclinedByIssuer)
  - [JSON representation](https://developers.google.com/pay/carrier-wallets-v1/google-carrier-wallets-api/captureResultNotification#DeclinedByIssuer.SCHEMA_REPRESENTATION)
- [UpcomingTransactionNotificationExpired](https://developers.google.com/pay/carrier-wallets-v1/google-carrier-wallets-api/captureResultNotification#UpcomingTransactionNotificationExpired)
  - [JSON representation](https://developers.google.com/pay/carrier-wallets-v1/google-carrier-wallets-api/captureResultNotification#UpcomingTransactionNotificationExpired.SCHEMA_REPRESENTATION)
- [CaptureResultNotificationResponse](https://developers.google.com/pay/carrier-wallets-v1/google-carrier-wallets-api/captureResultNotification#CaptureResultNotificationResponse)
  - [JSON representation](https://developers.google.com/pay/carrier-wallets-v1/google-carrier-wallets-api/captureResultNotification#CaptureResultNotificationResponse.SCHEMA_REPRESENTATION)
- [CaptureResultNotificationResult](https://developers.google.com/pay/carrier-wallets-v1/google-carrier-wallets-api/captureResultNotification#CaptureResultNotificationResult)
  - [JSON representation](https://developers.google.com/pay/carrier-wallets-v1/google-carrier-wallets-api/captureResultNotification#CaptureResultNotificationResult.SCHEMA_REPRESENTATION)

Notify Google of the result of a capture after a `capture` or `asynchronousCapture` method call has been made.

The `captureResult` value is idempotent for this `captureRequestId`, so its value cannot be changed by a subsequent call to this method.

If the endpoint encounters an error while processing the request, the endpoint will return HTTP 4xx or 5xx and the HTTP body will either be of type [`ErrorResponse`](https://developers.google.com/pay/carrier-wallets-v1/payment-integrator-carrier-wallets-api/ErrorResponse) or contain a generic error (e.g. a message similar to "There was an error. Please try again later.").

The generic error is used in situations where an [`ErrorResponse`](https://developers.google.com/pay/carrier-wallets-v1/payment-integrator-carrier-wallets-api/ErrorResponse) with a clear description could be used to help an attacker understand the payment integrator account identifier of other integrators. In these situations, where either the signing key doesn't match, the payment integrator identifier was not found, or the encryption key was unknown, this method will return a generic error. If the request signature could be verified, additional information regarding the error will be returned in an [`ErrorResponse`](https://developers.google.com/pay/carrier-wallets-v1/payment-integrator-carrier-wallets-api/ErrorResponse).

An example request looks like:


    {
      "requestHeader": {
        "protocolVersion": {
          "major": 1
        },
        "requestId": "KcgwSKrV76eVNDUbsZ4UA3",
        "requestTimestamp": {
          "epochMillis": "1481852928293"
        },
        "paymentIntegratorAccountId": "InvisiCashUSA_USD"
      },
      "captureRequestId": "awNaC510cefae3IJdNEvW2",
      "result": {
        "success": {}
      }
    }

An example response looks like:


    {
      "responseHeader": {
        "responseTimestamp": {
          "epochMillis": "1481852928324"
        }
      },
      "result": {
        "success": {}
      }
    }

### HTTP request

`POST https://vgw.googleapis.com/gsp/carrier-wallets-v1/captureResultNotification/https://developers.google.com/pay/carrier-wallets-v1/reference/glossary#payment_integrator_account_id`

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "requestHeader": { object (https://developers.google.com/pay/carrier-wallets-v1/payment-integrator-carrier-wallets-api/RequestHeader) }, "captureRequestId": string, "result": { object (`https://developers.google.com/pay/carrier-wallets-v1/google-carrier-wallets-api/captureResultNotification#CaptureResult`) } } ``` |

| Fields ||
|---|---|
| `requestHeader` | `object (https://developers.google.com/pay/carrier-wallets-v1/payment-integrator-carrier-wallets-api/RequestHeader)` **REQUIRED**: Common header for all requests. |
| `captureRequestId` | `string` **REQUIRED** : A unique identifier for this transaction. This is the `requestId` generated by Google during the `capture` or `asynchronousCapture` call which this request is associated with. This is a string with a max length of 100 characters and contains only the characters "a-z", "A-Z", "0-9", ":", "-", and "_". |
| `result` | ``object (`https://developers.google.com/pay/carrier-wallets-v1/google-carrier-wallets-api/captureResultNotification#CaptureResult`)`` **REQUIRED**: Result of this capture. |

### Response body

This method supports multiple return types. For additional information about what 4XX or 5XX HTTP status code to return with an `ErrorResponse`, consult the `ErrorResponse` object and [HTTP status codes documentation](https://developers.google.com/pay/carrier-wallets-v1/guides/connectivity/protocol-standards#http_status_codes).

| Possible response messages ||
|---|---|
| HTTP 200 Status | ``object (`https://developers.google.com/pay/carrier-wallets-v1/google-carrier-wallets-api/captureResultNotification#CaptureResultNotificationResponse`)`` |
| HTTP 4XX / 5XX Status | `object (https://developers.google.com/pay/carrier-wallets-v1/payment-integrator-carrier-wallets-api/ErrorResponse)` |
| End of mutually exclusive fields. ||

## CaptureResult

Information about the final result of a capture.

| JSON representation |
|---|
| ``` { // The following is a list of mutually exclusive fields. At most one of the // fields will be set in a response: "success": { object (`https://developers.google.com/pay/carrier-wallets-v1/google-carrier-wallets-api/captureResultNotification#Success`) }, "chargeUnderLimit": { object (https://developers.google.com/pay/carrier-wallets-v1/payment-integrator-carrier-wallets-api/ChargeUnderLimit) }, "chargeExceedsTransactionLimit": { object (https://developers.google.com/pay/carrier-wallets-v1/payment-integrator-carrier-wallets-api/ChargeExceedsTransactionLimit) }, "chargeExceedsDailyLimit": { object (https://developers.google.com/pay/carrier-wallets-v1/payment-integrator-carrier-wallets-api/ChargeExceedsDailyLimit) }, "chargeExceedsMonthlyLimit": { object (https://developers.google.com/pay/carrier-wallets-v1/payment-integrator-carrier-wallets-api/ChargeExceedsMonthlyLimit) }, "insufficientFunds": { object (https://developers.google.com/pay/carrier-wallets-v1/payment-integrator-carrier-wallets-api/InsufficientFunds) }, "accountClosed": { object (https://developers.google.com/pay/carrier-wallets-v1/payment-integrator-carrier-wallets-api/AccountClosed) }, "accountClosedAccountTakenOver": { object (https://developers.google.com/pay/carrier-wallets-v1/payment-integrator-carrier-wallets-api/AccountClosedAccountTakenOver) }, "accountClosedFraud": { object (https://developers.google.com/pay/carrier-wallets-v1/payment-integrator-carrier-wallets-api/AccountClosedFraud) }, "accountOnHold": { object (https://developers.google.com/pay/carrier-wallets-v1/payment-integrator-carrier-wallets-api/AccountOnHold) }, "captureRequestExpired": { object (`https://developers.google.com/pay/carrier-wallets-v1/google-carrier-wallets-api/captureResultNotification#CaptureRequestExpired`) }, "invalidPin": { object (`https://developers.google.com/pay/carrier-wallets-v1/google-carrier-wallets-api/captureResultNotification#InvalidPin`) }, "osLockFailed": { object (`https://developers.google.com/pay/carrier-wallets-v1/google-carrier-wallets-api/captureResultNotification#OsLockFailed`) }, "pinEntryAttemptsExhausted": { object (`https://developers.google.com/pay/carrier-wallets-v1/google-carrier-wallets-api/captureResultNotification#PinEntryAttemptsExhausted`) }, "userExitedPaymentFlow": { object (`https://developers.google.com/pay/carrier-wallets-v1/google-carrier-wallets-api/captureResultNotification#UserExitedPaymentFlow`) }, "monthlyFrequencyLimitExceeded": { object (`https://developers.google.com/pay/carrier-wallets-v1/google-carrier-wallets-api/captureResultNotification#MonthlyFrequencyLimitExceeded`) }, "declinedByIssuer": { object (`https://developers.google.com/pay/carrier-wallets-v1/google-carrier-wallets-api/captureResultNotification#DeclinedByIssuer`) }, "riskDeclined": { object (https://developers.google.com/pay/carrier-wallets-v1/payment-integrator-carrier-wallets-api/RiskDeclined) }, "upcomingTransactionNotificationExpired": { object (`https://developers.google.com/pay/carrier-wallets-v1/google-carrier-wallets-api/captureResultNotification#UpcomingTransactionNotificationExpired`) }, "googlePaymentTokenInvalidatedByUser": { object (https://developers.google.com/pay/carrier-wallets-v1/payment-integrator-carrier-wallets-api/GooglePaymentTokenInvalidatedByUser) } // End of mutually exclusive fields. } ``` |

| Fields ||
|---|---|
| **REQUIRED**: The result of this capture. The following is a list of mutually exclusive fields. At most one of the fields will be set in a response: ||
| `success` | ``object (`https://developers.google.com/pay/carrier-wallets-v1/google-carrier-wallets-api/captureResultNotification#Success`)`` The capture was successful. |
| `chargeUnderLimit` | `object (https://developers.google.com/pay/carrier-wallets-v1/payment-integrator-carrier-wallets-api/ChargeUnderLimit)` Requested capture amount does not meet the integrator's minimum per-transaction amount. If this code is used, populate the `transactionMinLimit` field with the minimum transaction amount for user messaging purposes. |
| `chargeExceedsTransactionLimit` | `object (https://developers.google.com/pay/carrier-wallets-v1/payment-integrator-carrier-wallets-api/ChargeExceedsTransactionLimit)` Requested capture amount exceeds the integrator's maximum per-transaction limit. If this code is used, populate the `transactionMaxLimit` field with the transaction limit for user messaging purposes. |
| `chargeExceedsDailyLimit` | `object (https://developers.google.com/pay/carrier-wallets-v1/payment-integrator-carrier-wallets-api/ChargeExceedsDailyLimit)` User's account cannot be used for purchases right now as it has exceeded its daily limit. |
| `chargeExceedsMonthlyLimit` | `object (https://developers.google.com/pay/carrier-wallets-v1/payment-integrator-carrier-wallets-api/ChargeExceedsMonthlyLimit)` User's account cannot be used for purchases right now as it has exceeded its monthly limit. |
| `insufficientFunds` | `object (https://developers.google.com/pay/carrier-wallets-v1/payment-integrator-carrier-wallets-api/InsufficientFunds)` This account does not have sufficient funds to guarantee this capture. |
| `accountClosed` | `object (https://developers.google.com/pay/carrier-wallets-v1/payment-integrator-carrier-wallets-api/AccountClosed)` User's account held with the integrator has been closed. This return value will cause the user's instrument to be closed with Google. The user will be forced to add a new instrument. |
| `accountClosedAccountTakenOver` | `object (https://developers.google.com/pay/carrier-wallets-v1/payment-integrator-carrier-wallets-api/AccountClosedAccountTakenOver)` User's account with the integrator has been closed, suspected account take over. This return value will cause the user's instrument to be closed with Google. The user will be forced to add a new instrument. |
| `accountClosedFraud` | `object (https://developers.google.com/pay/carrier-wallets-v1/payment-integrator-carrier-wallets-api/AccountClosedFraud)` User's account held with the integrator has been closed because of fraud. This return value will cause the user's instrument to be closed with Google. The user will be forced to add a new instrument. |
| `accountOnHold` | `object (https://developers.google.com/pay/carrier-wallets-v1/payment-integrator-carrier-wallets-api/AccountOnHold)` User's account is on hold. |
| `captureRequestExpired` | ``object (`https://developers.google.com/pay/carrier-wallets-v1/google-carrier-wallets-api/captureResultNotification#CaptureRequestExpired`)`` It took too long for the integrator to capture the user's funds. Google will treat this decline as a final state, so the integrator must ensure that the user's funds do not get captured later or that the user gets automatically refunded if the capture ended up succeeding. |
| `invalidPin` | ``object (`https://developers.google.com/pay/carrier-wallets-v1/google-carrier-wallets-api/captureResultNotification#InvalidPin`)`` The user supplied an invalid PIN. |
| `osLockFailed` | ``object (`https://developers.google.com/pay/carrier-wallets-v1/google-carrier-wallets-api/captureResultNotification#OsLockFailed`)`` This payment flow requires an OS lock challenge and the user failed to unlock the device. |
| `pinEntryAttemptsExhausted` | ``object (`https://developers.google.com/pay/carrier-wallets-v1/google-carrier-wallets-api/captureResultNotification#PinEntryAttemptsExhausted`)`` This payment flow requires user PIN entry. The user failed PIN entry enough times that they ran out of retries. |
| `userExitedPaymentFlow` | ``object (`https://developers.google.com/pay/carrier-wallets-v1/google-carrier-wallets-api/captureResultNotification#UserExitedPaymentFlow`)`` User canceled the whole payment attempt (either at the OS lock or at the PIN entry screen). |
| `monthlyFrequencyLimitExceeded` | ``object (`https://developers.google.com/pay/carrier-wallets-v1/google-carrier-wallets-api/captureResultNotification#MonthlyFrequencyLimitExceeded`)`` User's account cannot be used for purchases right now as it has exceeded its monthly transaction attempt limit. |
| `declinedByIssuer` | ``object (`https://developers.google.com/pay/carrier-wallets-v1/google-carrier-wallets-api/captureResultNotification#DeclinedByIssuer`)`` This decline code should never be used in steady-state. It is meant as a temporary catch-all code to use when the integrator encounters an unknown decline code from the underlying issuer of the user's instrument. This result code can be used while the integrator determines a more appropriate result code to use or negotiates the addition of a new result code to this specification. Importantly, this decline code is very much a *real* decline. It is a permanent decline as far as Google is concerned. If the integrator returns this, it is up to them to track down what the issuer's code really means and refund the user if it turns out the code actually meant `SUCCESS`. If this decline code is used for the same underlying decline code for more than a certain number of days, Google will treat it as a bug and track it accordingly with respect to any contractual penalties around fixing bugs. <br /> > [!NOTE] > **Note:** even after the integrator maps the unknown issuer decline code to an appropriate result code going forward, it is important that they still return `DECLINED_BY_ISSUER` idempotently for any capture request that was originally declined with a `DECLINED_BY_ISSUER` result. > <br /> |
| `riskDeclined` | `object (https://developers.google.com/pay/carrier-wallets-v1/payment-integrator-carrier-wallets-api/RiskDeclined)` The transaction was declined due to a risk check on the integrator's side. This is a permanent failure for this payment, but does not cause the user's instrument to be closed at Google. |
| `upcomingTransactionNotificationExpired` | ``object (`https://developers.google.com/pay/carrier-wallets-v1/google-carrier-wallets-api/captureResultNotification#UpcomingTransactionNotificationExpired`)`` The notification that was sent to the user for a recurring mandate payment was expired. |
| `googlePaymentTokenInvalidatedByUser` | `object (https://developers.google.com/pay/carrier-wallets-v1/payment-integrator-carrier-wallets-api/GooglePaymentTokenInvalidatedByUser)` The account is active, but the GPT has been invalidated by the user on the integrator's side. Returning this value will cause the user's instrument to be disabled by Google. The user will be forced to go through the association flow again to add a new GPT to their instrument. |
| End of mutually exclusive fields. ||

## Success

This type has no fields.
Information about a successful capture.

## CaptureRequestExpired

It took too long for the integrator to capture the user's funds. Google will treat this decline as a final state, so the integrator must ensure that the user's funds do not get captured later or that the user gets automatically refunded if the capture ended up succeeding.

| JSON representation |
|---|
| ``` { "rawResult": { object (https://developers.google.com/pay/carrier-wallets-v1/payment-integrator-carrier-wallets-api/RawResult) } } ``` |

| Fields ||
|---|---|
| `rawResult` | `object (https://developers.google.com/pay/carrier-wallets-v1/payment-integrator-carrier-wallets-api/RawResult)` **OPTIONAL** : Raw result of this event. Used to help inform Google's risk engine and analytics. In decline code--mapping situations, data is sometimes lost. The integrator can choose to give Google a rawcode. For example, a credit card gateway (the integrator) may use this field to communicate to Google the exact decline code that was received from the VISA network. In that case, the `scope` would be "visa" and the `rawCode` would be whatever the VISA network returned. |

## InvalidPin

The user supplied an invalid PIN.

| JSON representation |
|---|
| ``` { "rawResult": { object (https://developers.google.com/pay/carrier-wallets-v1/payment-integrator-carrier-wallets-api/RawResult) } } ``` |

| Fields ||
|---|---|
| `rawResult` | `object (https://developers.google.com/pay/carrier-wallets-v1/payment-integrator-carrier-wallets-api/RawResult)` **OPTIONAL** : Raw result of this event. Used to help inform Google's risk engine and analytics. In decline code--mapping situations, data is sometimes lost. The integrator can choose to give Google a rawcode. For example, a credit card gateway (the integrator) may use this field to communicate to Google the exact decline code that was received from the VISA network. In that case, the `scope` would be "visa" and the `rawCode` would be whatever the VISA network returned. |

## OsLockFailed

This payment flow requires an OS lock challenge and the user failed to unlock the device.

| JSON representation |
|---|
| ``` { "rawResult": { object (https://developers.google.com/pay/carrier-wallets-v1/payment-integrator-carrier-wallets-api/RawResult) } } ``` |

| Fields ||
|---|---|
| `rawResult` | `object (https://developers.google.com/pay/carrier-wallets-v1/payment-integrator-carrier-wallets-api/RawResult)` **OPTIONAL** : Raw result of this event. Used to help inform Google's risk engine and analytics. In decline code--mapping situations, data is sometimes lost. The integrator can choose to give Google a rawcode. For example, a credit card gateway (the integrator) may use this field to communicate to Google the exact decline code that was received from the VISA network. In that case, the `scope` would be "visa" and the `rawCode` would be whatever the VISA network returned. |

## PinEntryAttemptsExhausted

This payment flow requires user PIN entry. The user failed PIN entry enough times that they ran out of retries.

| JSON representation |
|---|
| ``` { "rawResult": { object (https://developers.google.com/pay/carrier-wallets-v1/payment-integrator-carrier-wallets-api/RawResult) } } ``` |

| Fields ||
|---|---|
| `rawResult` | `object (https://developers.google.com/pay/carrier-wallets-v1/payment-integrator-carrier-wallets-api/RawResult)` **OPTIONAL** : Raw result of this event. Used to help inform Google's risk engine and analytics. In decline code--mapping situations, data is sometimes lost. The integrator can choose to give Google a rawcode. For example, a credit card gateway (the integrator) may use this field to communicate to Google the exact decline code that was received from the VISA network. In that case, the `scope` would be "visa" and the `rawCode` would be whatever the VISA network returned. |

## UserExitedPaymentFlow

User canceled the whole payment attempt.

| JSON representation |
|---|
| ``` { "rawResult": { object (https://developers.google.com/pay/carrier-wallets-v1/payment-integrator-carrier-wallets-api/RawResult) } } ``` |

| Fields ||
|---|---|
| `rawResult` | `object (https://developers.google.com/pay/carrier-wallets-v1/payment-integrator-carrier-wallets-api/RawResult)` **OPTIONAL** : Raw result of this event. Used to help inform Google's risk engine and analytics. In decline code--mapping situations, data is sometimes lost. The integrator can choose to give Google a rawcode. For example, a credit card gateway (the integrator) may use this field to communicate to Google the exact decline code that was received from the VISA network. In that case, the `scope` would be "visa" and the `rawCode` would be whatever the VISA network returned. |

## MonthlyFrequencyLimitExceeded

User's account cannot be used for purchases right now as it has exceeded its monthly transaction attempt limit.

| JSON representation |
|---|
| ``` { "rawResult": { object (https://developers.google.com/pay/carrier-wallets-v1/payment-integrator-carrier-wallets-api/RawResult) } } ``` |

| Fields ||
|---|---|
| `rawResult` | `object (https://developers.google.com/pay/carrier-wallets-v1/payment-integrator-carrier-wallets-api/RawResult)` **OPTIONAL** : Raw result of this event. Used to help inform Google's risk engine and analytics. In decline code--mapping situations, data is sometimes lost. The integrator can choose to give Google a rawcode. For example, a credit card gateway (the integrator) may use this field to communicate to Google the exact decline code that was received from the VISA network. In that case, the `scope` would be "visa" and the `rawCode` would be whatever the VISA network returned. |

## DeclinedByIssuer

This decline code should never be used in steady-state. It is meant as a temporary catch-all code to use when the integrator encounters an unknown decline code from the underlying issuer of the user's instrument. This result code can be used while the integrator determines a more appropriate result code to use or negotiates the addition of a new result code to this specification.

| JSON representation |
|---|
| ``` { "rawResult": { object (https://developers.google.com/pay/carrier-wallets-v1/payment-integrator-carrier-wallets-api/RawResult) } } ``` |

| Fields ||
|---|---|
| `rawResult` | `object (https://developers.google.com/pay/carrier-wallets-v1/payment-integrator-carrier-wallets-api/RawResult)` **OPTIONAL** : Raw result of this event. Used to help inform Google's risk engine and analytics. In decline code--mapping situations, data is sometimes lost. The integrator can choose to give Google a rawcode. For example, a credit card gateway (the integrator) may use this field to communicate to Google the exact decline code that was received from the VISA network. In that case, the `scope` would be "visa" and the `rawCode` would be whatever the VISA network returned. |

## UpcomingTransactionNotificationExpired

The notification that was sent to the user for a recurring mandate payment was expired.

| JSON representation |
|---|
| ``` { "rawResult": { object (https://developers.google.com/pay/carrier-wallets-v1/payment-integrator-carrier-wallets-api/RawResult) } } ``` |

| Fields ||
|---|---|
| `rawResult` | `object (https://developers.google.com/pay/carrier-wallets-v1/payment-integrator-carrier-wallets-api/RawResult)` **OPTIONAL** : Raw result of this event. Used to help inform Google's risk engine and analytics. In decline code--mapping situations, data is sometimes lost. The integrator can choose to give Google a rawcode. For example, a credit card gateway (the integrator) may use this field to communicate to Google the exact decline code that was received from the VISA network. In that case, the `scope` would be "visa" and the `rawCode` would be whatever the VISA network returned. |

## CaptureResultNotificationResponse

Response object for the `captureResultNotification` method.

| JSON representation |
|---|
| ``` { "responseHeader": { object (https://developers.google.com/pay/carrier-wallets-v1/payment-integrator-carrier-wallets-api/ResponseHeader) }, "result": { object (`https://developers.google.com/pay/carrier-wallets-v1/google-carrier-wallets-api/captureResultNotification#CaptureResultNotificationResult`) } } ``` |

| Fields ||
|---|---|
| `responseHeader` | `object (https://developers.google.com/pay/carrier-wallets-v1/payment-integrator-carrier-wallets-api/ResponseHeader)` **REQUIRED**: Common header for all responses. |
| `result` | ``object (`https://developers.google.com/pay/carrier-wallets-v1/google-carrier-wallets-api/captureResultNotification#CaptureResultNotificationResult`)`` **REQUIRED**: Result of this call. |

## CaptureResultNotificationResult

Result codes for the `captureResultNotification` method.

| JSON representation |
|---|
| ``` { // The following is a list of mutually exclusive fields. At most one of the // fields will be set in a response: "success": { object (https://developers.google.com/pay/carrier-wallets-v1/payment-integrator-carrier-wallets-api/Empty) } // End of mutually exclusive fields. } ``` |

| Fields ||
|---|---|
| **REQUIRED** : The result of the `captureResultNotification` call. The following is a list of mutually exclusive fields. At most one of the fields will be set in a response: ||
| `success` | `object (https://developers.google.com/pay/carrier-wallets-v1/payment-integrator-carrier-wallets-api/Empty)` Capture result notification was successfully processed. |
| End of mutually exclusive fields. ||